/**
 * Describes a plain-text file.
 */
export interface TextFile {
    path: string;
    data: string;
}
/**
 * Describes a JSON file.
 */
interface JsonFile {
    path: string;
    data: unknown;
    indent: string;
    newline: string | undefined;
}
/**
 * Reads a JSON file and returns the parsed data.
 */
export declare function readJsonFile(name: string, cwd: string): Promise<JsonFile>;
/**
 * Writes the given data to the specified JSON file.
 */
export declare function writeJsonFile(file: JsonFile): Promise<void>;
/**
 * Reads a text file and returns its contents.
 */
export declare function readTextFile(name: string, cwd: string): Promise<TextFile>;
/**
 * Writes the given text to the specified file.
 */
export declare function writeTextFile(file: TextFile): Promise<void>;
export {};
