"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The different types of pre-releases.
 */
exports.prereleaseTypes = ["premajor", "preminor", "prepatch", "prerelease"];
/**
 * All possible release types.
 */
exports.releaseTypes = exports.prereleaseTypes.concat(["major", "minor", "patch"]);
// tslint:disable: no-any no-unsafe-any
/**
 * Determines whether the specified value is a pre-release.
 */
function isPrerelease(value) {
    return exports.prereleaseTypes.includes(value);
}
exports.isPrerelease = isPrerelease;
/**
 * Determines whether the specified value is a valid ReleaseType string.
 */
function isReleaseType(value) {
    return exports.releaseTypes.includes(value);
}
exports.isReleaseType = isReleaseType;
//# sourceMappingURL=release-type.js.map