import { VersionBumpOptions } from "./types/version-bump-options";
import { VersionBumpResults } from "./types/version-bump-results";
/**
 * Prompts the user for a version number and updates package.json and package-lock.json.
 *
 * @returns - The new version number
 */
export declare function versionBump(): Promise<VersionBumpResults>;
/**
 * Bumps the version number in package.json, package-lock.json.
 *
 * @param release
 * The release version or type. Can be one of the following:
 *
 * - The new version number (e.g. "1.23.456")
 * - A release type (e.g. "major", "minor", "patch", "prerelease", etc.)
 * - "prompt" to prompt the user for the version number
 */
export declare function versionBump(release: string): Promise<VersionBumpResults>;
/**
 * Bumps the version number in one or more files, prompting the user if necessary.
 * Optionally also commits, tags, and pushes to git.
 */
export declare function versionBump(options: VersionBumpOptions): Promise<VersionBumpResults>;
